PDA

View Full Version : File conflict error while yum-installing kino



guhan.web
26th July 2008, 10:27 AM
I get the following (conflicts errors) during an installation of kino...

[root@localhost yum.repos.d]# yum install kino
atrpms 100% |=========================| 951 B 00:00
livna 100% |=========================| 2.1 kB 00:00
fedora 100% |=========================| 2.1 kB 00:00
updates 100% |=========================| 2.3 kB 00:00
Setting up Install Process
Parsing package install arguments
Resolving Dependencies
--> Running transaction check
---> Package kino.i386 0:1.2.0-1.lvn8 set to be updated
--> Processing Dependency: ffmpeg for package: kino
--> Processing Dependency: libquicktime.so.0 for package: kino
--> Running transaction check
---> Package libquicktime.i386 0:1.0.1-1.lvn8 set to be updated
---> Package ffmpeg.i386 0:0.4.9-26_r12135.fc8 set to be updated
--> Processing Dependency: libswscale.so.0 for package: ffmpeg
--> Processing Dependency: libavdevice52 = 0.4.9-26_r12135.fc8 for package: ffmpeg
--> Processing Dependency: libavformat52 = 0.4.9-26_r12135.fc8 for package: ffmpeg
--> Processing Dependency: libavformat.so.52 for package: ffmpeg
--> Processing Dependency: libavdevice.so.52 for package: ffmpeg
--> Processing Dependency: libavutil49 = 0.4.9-26_r12135.fc8 for package: ffmpeg
--> Processing Dependency: libswscale0 = 0.4.9-26_r12135.fc8 for package: ffmpeg
--> Processing Dependency: libpostproc51 = 0.4.9-26_r12135.fc8 for package: ffmpeg
--> Processing Dependency: libavcodec51 = 0.4.9-26_r12135.fc8 for package: ffmpeg
--> Running transaction check
---> Package libavutil49.i386 0:0.4.9-26_r12135.fc8 set to be updated
---> Package libswscale0.i386 0:0.4.9-26_r12135.fc8 set to be updated
---> Package libavcodec51.i386 0:0.4.9-26_r12135.fc8 set to be updated
--> Processing Dependency: libx264.so.54 for package: libavcodec51
---> Package libavformat52.i386 0:0.4.9-26_r12135.fc8 set to be updated
---> Package libavdevice52.i386 0:0.4.9-26_r12135.fc8 set to be updated
--> Processing Dependency: libdc1394.so.22 for package: libavdevice52
---> Package libpostproc51.i386 0:0.4.9-26_r12135.fc8 set to be updated
--> Running transaction check
---> Package libx264_54.i386 0:svn20070414_2245-4.fc8 set to be updated
---> Package libdc1394.i386 0:2.0.2-1.fc8 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

================================================== ===========================
Package Arch Version Repository Size
================================================== ===========================
Installing:
kino i386 1.2.0-1.lvn8 livna 4.4 M
Installing for dependencies:
ffmpeg i386 0.4.9-26_r12135.fc8 atrpms 193 k
libavcodec51 i386 0.4.9-26_r12135.fc8 atrpms 1.6 M
libavdevice52 i386 0.4.9-26_r12135.fc8 atrpms 21 k
libavformat52 i386 0.4.9-26_r12135.fc8 atrpms 301 k
libavutil49 i386 0.4.9-26_r12135.fc8 atrpms 30 k
libdc1394 i386 2.0.2-1.fc8 updates 114 k
libpostproc51 i386 0.4.9-26_r12135.fc8 atrpms 23 k
libquicktime i386 1.0.1-1.lvn8 livna 387 k
libswscale0 i386 0.4.9-26_r12135.fc8 atrpms 70 k
libx264_54 i386 svn20070414_2245-4.fc8 atrpms 217 k

Transaction Summary
================================================== ===========================
Install 11 Package(s)
Update 0 Package(s)
Remove 0 Package(s)

Total download size: 7.4 M
Is this ok [y/N]: y
Downloading Packages:
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test


Transaction Check Error:
file /usr/lib/libavutil.so.49 from install of libavutil49-0.4.9-26_r12135.fc8.i386 conflicts with file from package ffmpeg-libs-0.4.9-0.42.20071121.lvn8.i386
file /usr/lib/libavcodec.so.51 from install of libavcodec51-0.4.9-26_r12135.fc8.i386 conflicts with file from package ffmpeg-libs-0.4.9-0.42.20071121.lvn8.i386
file /usr/lib/vhook/drawtext.so from install of ffmpeg-0.4.9-26_r12135.fc8.i386 conflicts with file from package ffmpeg-libs-0.4.9-0.42.20071121.lvn8.i386
file /usr/lib/vhook/fish.so from install of ffmpeg-0.4.9-26_r12135.fc8.i386 conflicts with file from package ffmpeg-libs-0.4.9-0.42.20071121.lvn8.i386
file /usr/lib/vhook/imlib2.so from install of ffmpeg-0.4.9-26_r12135.fc8.i386 conflicts with file from package ffmpeg-libs-0.4.9-0.42.20071121.lvn8.i386
file /usr/lib/vhook/null.so from install of ffmpeg-0.4.9-26_r12135.fc8.i386 conflicts with file from package ffmpeg-libs-0.4.9-0.42.20071121.lvn8.i386
file /usr/lib/vhook/ppm.so from install of ffmpeg-0.4.9-26_r12135.fc8.i386 conflicts with file from package ffmpeg-libs-0.4.9-0.42.20071121.lvn8.i386
file /usr/lib/vhook/watermark.so from install of ffmpeg-0.4.9-26_r12135.fc8.i386 conflicts with file from package ffmpeg-libs-0.4.9-0.42.20071121.lvn8.i386
file /usr/lib/libpostproc.so.51.1.0 from install of libpostproc51-0.4.9-26_r12135.fc8.i386 conflicts with file from package ffmpeg-libs-0.4.9-0.42.20071121.lvn8.i386

Error Summary
-------------

[root@localhost yum.repos.d]#
What can be done?

ps: I made the shift from windows to linux only recently.

Wayne
26th July 2008, 10:31 AM
You should not have both Livna and ATRPMs active. They have some of the same packages and conflict with one another. Livna is the main third-party repo for Fedora, although some people use Freshrpms and maybe a few use ATRPMs :D

Set "enabled=0" in the atrpms.repo file in /etc/yum.repos.d

When needed, you can install individual packages with yum by:

yum --enablerepo=atrpms install packagename

Wayne

Brook
26th July 2008, 12:31 PM
Yes,Wayne is right.Livna conflicts with Freshrpms too.Disabling ATRPMs will work.

guhan.web
27th July 2008, 08:08 PM
It worked!

Thanks guys :-)